@charset "UTF-8";
@import url("https://fonts.googleapis.com/css2?family=Yuji+Syuku&display=swap");

/*============================
	base
============================*/
:root {
  --black: #232323;
  --white: #fff;
  --brown: #b5874f;
  --font-yuji: "Yuji Syuku", serif;
  --bg-1: url("../img/texture-1.jpg") repeat-y center / 100% auto;
  --bg-2: url("../img/texture-2.jpg") repeat-y center / 100% auto;
}

html {
  font-size: calc(10 / 1440 * 100vw);
  color: var(--black);
  overflow-x: hidden;
}

@media (max-width: 767px) {
  html {
    font-size: calc(10 / 767 * 100vw);
  }
}

body {
  font-family: var(--font-yuji);
  font-size: max(12px, 1.6rem);
  font-weight: 400;
  line-height: 1.5;
  overflow-x: hidden;
}

@keyframes fadeUp {
  0% {
    opacity: 0;
    transform: translateY(20px);
  }
  100% {
    opacity: 1;
    transform: none;
  }
}

.fade {
  opacity: 0;
}

.fadeUp {
  animation: fadeUp 0.6s ease both;
}

.header img,
section img,
.footer img {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: cover;
  overflow: hidden;
}

a {
  transition: 0.3s ease-in-out;
}

@media (min-width: 768px) {
  a:hover {
    opacity: 0.6;
  }

  a[href^="tel:"] {
    pointer-events: none;
  }
}

@media (max-width: 767px) {
  a[href^="tel:"] {
    text-decoration: underline;
  }
}

.sp {
  display: none;
}

@media (max-width: 767px) {
  .pc {
    display: none !important;
  }

  .sp {
    display: block;
  }
}

.map {
  width: 100%;
  height: 40rem;
  -webkit-filter: grayscale(100%);
  -moz-filter: grayscale(100%);
  -ms-filter: grayscale(100%);
  filter: grayscale(100%);
}

.map iframe {
  display: block;
  width: 100%;
  height: 100%;
}

/*============================
	fixed_btn
============================*/
.fixed_btn {
  display: flex;
  flex-direction: column;
  row-gap: 2rem;
  position: fixed;
  right: 2rem;
  bottom: 8rem;
  z-index: 1000;
  align-items: flex-end;
}

@media (max-width: 767px) {
  .fixed_btn_1 li {
    list-style: none;
  }
  .fixed_btn_1 {
    display: flex;
    flex-direction: column;
    row-gap: 2rem;
    position: fixed;
    width: 100%;
    height: max(50px, 8rem);
    flex-direction: row;
    transform: none;
    top: auto;
    right: 0;
    bottom: max(50px, 8rem);
    z-index: 1000;
  }
  .fixed_btn_2 {
    display: flex;
    flex-direction: column;
    row-gap: 2rem;
    position: fixed;
    width: 100%;
    height: max(50px, 8rem);
    flex-direction: row;
    transform: none;
    top: auto;
    right: 0;
    bottom: 0;
    z-index: 1000;
  }
}

.fixed_btn-item {
  background-color: #ddd9d3;
  width: max(80px, 11rem);
  height: max(80px, 11rem);
  border: solid 1px #150201;
}

.fixed_btn-item:nth-of-type(2) {
  background-color: var(--brown);
}
@media (min-width: 768px) {
  .fixed_btn .fixed_btn-item:nth-child(3) {
    background-color: #ddd9d3;
    width: max(200px, 30rem);
    height: max(80px, 11rem);
    border: solid 1px #150201;
  }
}

@media (max-width: 767px) {
  .fixed_btn-item {
    width: 100%;
    height: 100%;
  }
}

.fixed_btn-item a {
  width: 100%;
  height: 100%;
  color: var(--black);
  display: flex;
  justify-content: center;
  align-items: center;
  column-gap: 1.2rem;
  padding: 0.5rem;
  position: relative;
}

@media (min-width: 768px) {
  .fixed_btn-item a.sp {
    display: none;
  }
}

@media (max-width: 767px) {
  .fixed_btn-item a {
    width: 100%;
    height: 100%;
    justify-content: center;
    padding: 1rem;
    text-decoration: none;
  }
}

.fixed_btn-item a::before {
  content: "";
  background: url("../img/tel_icon.png") no-repeat center / contain;
  width: max(24px, 3.2rem);
  height: max(24px, 3.2rem);
}

.fixed_btn-item:nth-of-type(2) a::before {
  background: url("../img/reserve_calendar_icon.png") no-repeat center / contain;
}

.fixed_btn-item:nth-of-type(3) a::before {
  background: url("../img/reserve_icon.png") no-repeat center / contain;
}

@media (min-width: 768px) {
  .fixed_btn-item a::before {
    position: absolute;
    top: -0.6rem;
    left: -0.7rem;
  }
}

.fixed_btn-item p {
  font-size: max(12px, 1.7rem);
  letter-spacing: -0.05em;
  line-height: 1.2;
  text-align: center;
  display: flex;
  flex-direction: column;
  row-gap: 0.5rem;
}

.fixed_btn-txt {
  font-size: max(10px, 1.1rem);
  color: #845f3f;
  letter-spacing: 0.1em;
}

.fixed_btn-item:nth-of-type(2) .fixed_btn-txt {
  color: var(--white);
}

/*============================
	header
============================*/
.header {
  background-color: rgba(0, 0, 0, 0.7);
  width: 100%;
  height: 11rem;
  color: var(--white);
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0 10rem 0 4rem;
  position: absolute;
  top: 0;
  left: 0;
  z-index: 1000;
}

@media (max-width: 767px) {
  .header {
    height: max(60px, 8rem);
    padding: 0;
  }
}

.header__logo {
  width: 40rem;
}

@media (max-width: 767px) {
  .header__logo {
    width: max(277px, 37rem);
  }
}

.header__hamburger-sp {
  visibility: hidden;
  position: fixed;
  top: 0;
  right: 0;
  z-index: 1000;
}

@media (max-width: 767px) {
  .header__hamburger-sp {
    background-color: var(--black);
    width: 8rem;
    height: 8rem;
    min-width: 60px;
    min-height: 60px;
    visibility: visible;
  }

  .header__hamburger-sp::before,
  .header__hamburger-sp::after,
  .header__line-sp {
    content: "";
    background-color: var(--white);
    width: 5rem;
    min-width: 35px;
    height: 2px;
    border-radius: 5px;
    position: absolute;
    transform: translate(-50%, -50%);
    left: 50%;
    transition: 0.3s;
  }

  .header__hamburger-sp::before {
    top: 30%;
    transform-origin: bottom left;
  }

  .header__hamburger-sp::after {
    top: 70%;
    transform-origin: top left;
  }

  .header__hamburger-sp.js-transform::before,
  .header__hamburger-sp.js-transform::after {
    transform: scale(1.414);
    top: 50%;
  }

  .header__hamburger-sp.js-transform::before {
    transform: rotate(45deg) translateX(-50%);
  }

  .header__hamburger-sp.js-transform::after {
    transform: rotate(-45deg) translateX(-50%);
  }

  .js-transform .header__line-sp {
    transform: scale(0);
  }
}

.header__contents {
  display: flex;
  align-items: center;
  gap: 6rem 4.5rem;
}

@media (max-width: 767px) {
  .header__contents {
    background-color: var(--black);
    width: 100%;
    height: 100%;
    min-height: max-content;
    flex-direction: column;
    justify-content: center;
    padding: 8rem 0;
    position: fixed;
    top: 0;
    left: 0;
    opacity: 0;
    visibility: hidden;
    overflow-y: scroll;
    z-index: 100;
    transition: 0.3s ease-out;
  }

  .header__contents.js-show {
    opacity: 1;
    visibility: visible;
  }
}

.header__nav-list {
  display: flex;
  gap: 4rem;
}

@media (max-width: 767px) {
  .header__nav-list {
    flex-direction: column;
    align-items: center;
    justify-content: center;
  }
}

.header__nav-list a {
  letter-spacing: 0.05em;
}

.header__sns li {
  width: max(20px, 2.6rem);
  height: max(20px, 2.6rem);
}

/*============================
	footer
============================*/
.footer {
  background-color: #a89d91;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding-top: 5rem;
  position: relative;
}

@media (max-width: 767px) {
  .footer {
    padding: 5rem 0 20rem 0;
  }
}

.pagetop {
  background-color: var(--brown);
  width: max(30px, 4rem);
  height: max(30px, 4rem);
  border-radius: 50%;
  opacity: 0;
  visibility: hidden;
  position: fixed;
  bottom: 1rem;
  right: 1rem;
  z-index: 100;
}

@media (max-width: 767px) {
  .pagetop {
    bottom: max(140px, 12rem);
  }
}

.pagetop.js-top {
  opacity: 1;
  visibility: visible;
}

@media (min-width: 768px) {
  .pagetop.js-top:hover {
    opacity: 0.6;
  }
}

.pagetop::before {
  content: "";
  display: inline-block;
  width: max(7px, 1rem);
  height: max(7px, 1rem);
  border: 0.2rem solid var(--white);
  border-left: 0;
  border-bottom: 0;
  position: absolute;
  transform: translate(-55%, -45%) rotate(-45deg);
  top: 50%;
  left: 50%;
}

.footer__logo {
  display: block;
  width: max(250px, 40rem);
  height: auto;
  margin: 7.3rem 0;
}

.footer__link {
  height: 100%;
  display: flex;
  align-items: center;
  gap: 4rem 0;
}

@media (max-width: 767px) {
  .footer__link {
    flex-direction: column;
  }
}

.footer__nav-list {
  display: flex;
  justify-content: center;
  gap: max(20px, 3rem) 0;
}

@media (max-width: 767px) {
  .footer__nav-list {
    flex-direction: column;
    align-items: center;
  }
}

.footer__nav-list a {
  display: block;
  letter-spacing: 0.05em;
  line-height: 1;
  padding: 0 3rem;
}

@media (min-width: 768px) {
  .footer__nav-list li:not(:last-of-type) a {
    border-right: solid 1px var(--black);
  }
}

.footer__sns {
  display: flex;
  align-items: center;
}

.footer__sns li {
  width: max(20px, 2.6rem);
  height: max(20px, 2.6rem);
}

.copy {
  background-color: #232323;
  width: 100%;
  font-size: max(12px, 1.3rem);
  color: var(--white);
  letter-spacing: 0.1em;
  text-align: center;
  padding: 0.6rem 0;
}
